Bug 430666 - [PATCH] List.c/ReplaceItem() segfaults when item selected.
[PATCH] List.c/ReplaceItem() segfaults when item selected.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openmotif (Show other bugs)
4.8
All Linux
low Severity low
: rc
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 07:09 EST by Adam Stokes
Modified: 2010-10-22 18:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:22:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update selected pos. before operation (699 bytes, patch)
2008-01-29 07:09 EST, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2008-01-29 07:09:09 EST
Description of problem:
Openmotif  - List.c/ReplaceItem() segfaults when item selected. 

Version-Release number of selected component (if applicable):
openmotif-2.2.3

How reproducible:
100%

Steps to Reproduce:
1) Run nedit, and cd a directory conatining several file and another directory.
2) select from menul "File -> Open".
3) first click on a file listed in "open file" dialog window, then click on
the directory.
4) after above steps, a file and a directory are both hightlighted;
5) finally click the "filter" button and nedit will crash.
  
Actual results:
segfault

Expected results:
no segfault

Additional info:
Upstream bug - http://bugs.motifzone .org/show_bug.cgi?id=1390
Comment 1 Adam Stokes 2008-01-29 07:09:09 EST
Created attachment 293258 [details]
update selected pos. before operation
Comment 4 RHEL Product and Program Management 2008-09-05 13:15:04 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-05-18 16:22:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0993.html

Note You need to log in before you can comment on or make changes to this bug.